# MethodOverrideExtensions extension

Extensions to support method override detection

on
  - MethodDeclaration

## Methods

canOverride(MethodDeclaration other) → bool

  Available on MethodDeclaration, provided by the MethodOverrideExtensions extension

  Check if this method can override another method (considering covariance)
hasSameSignature(MethodDeclaration other) → bool

  Available on MethodDeclaration, provided by the MethodOverrideExtensions extension

  Check if this method has the same signature as another method